Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.emailFwd
Class EPPEmailFwdCheckResult

    java.lang.Object
      com.verisign.epp.codec.emailFwd.EPPEmailFwdCheckResult

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPEmailFwdCheckResult

extends java.lang.Object
implements EPPCodecComponent

`EPPEmailFwdCheckResult` represents the result of an individual emailFwd name ping. The attributes of `EPPEmailFwdCheckResult` include the emailFwd name and a boolean value indicating if the emailFwd name is already available. `emailFwd reason` must be set before invoking `encode` if the available flag is set to `false`.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPEmailFwdCheckResp`, Serialized Form

Constructor Summary
`EPPEmailFwdCheckResult()` Default constructor for `EPPEmailFwdCheckResult`.
`EPPEmailFwdCheckResult(java.lang.String aName, boolean aIsAvailable)` Constructor for `EPPEmailFwdCheckResult` that includes the emailFwd name and the is available flag.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPEmailFwdCheckResult`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPEmailFwdCheckResult` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPEmailFwdCheckResult` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPEmailFwdPingResp` with this instance.
`java.lang.String` | `getEmailFwdReason()` Gets emailFwd reason.
`java.lang.String` | `getLanguage()` Sets emailFwd reason to check.
`java.lang.String` | `getName()` Gets the emailFwd name associated with the result.
`boolean` | `isAvailable()` Gets if the emailFwd associated with `EPPEmailFwdCheckResult` is available.
`void` | `setEmailFwdReason(java.lang.String aReason)` Sets emailFwd reason.
`void` | `setIsAvailable(boolean aIsAvailable)` Sets if the emailFwd associated with `EPPEmailFwdCheckResult` is available.
`void` | `setLanguage(java.lang.String aLang)` Sets language attribute.
`void` | `setName(java.lang.String aName)` Sets the emailFwd name associated with the result.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPEmailFwdCheckResult

    public EPPEmailFwdCheckResult()

  Default constructor for `EPPEmailFwdCheckResult`. the defaults include the following:
  - name is set to `null`
  - available is set to `true`
  The name must be set before invoking `encode`.

### EPPEmailFwdCheckResult

    public EPPEmailFwdCheckResult(java.lang.String aName,
                                  boolean aIsAvailable)

  Constructor for `EPPEmailFwdCheckResult` that includes the emailFwd name and the is available flag.

  Parameters:
    `aName` - EmailFwd name associated with result
    `aIsAvailable` - Is the emailFwd name available?

Method Detail

### getName

    public java.lang.String getName()

  Gets the emailFwd name associated with the result.

  Returns:
    EmailFwd name associated with the result if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the emailFwd name associated with the result.

  Parameters:
    `aName` - EmailFwd Name associated with the result.

### isAvailable

    public boolean isAvailable()

  Gets if the emailFwd associated with `EPPEmailFwdCheckResult` is available.

  Returns:
    Is the emailFwd available?

### setIsAvailable

    public void setIsAvailable(boolean aIsAvailable)

  Sets if the emailFwd associated with `EPPEmailFwdCheckResult` is available.

  Parameters:
    `aIsAvailable` - Is the emailFwd available?

### setEmailFwdReason

    public void setEmailFwdReason(java.lang.String aReason)

  Sets emailFwd reason.

  Parameters:
    `aReason` - EmailFwd Reason.

### getEmailFwdReason

    public java.lang.String getEmailFwdReason()

  Gets emailFwd reason.

  Returns:
    String of emailFwd reason.

### setLanguage

    public void setLanguage(java.lang.String aLang)

  Sets language attribute.

  Parameters:
    `aLang` - Sets emailFwd reason language attribute.

### getLanguage

    public java.lang.String getLanguage()

  Sets emailFwd reason to check.

  Returns:
    String of emailFwd reason language.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPEmailFwdCheckResult` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPEmailFwdCheckResult` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPEmailFwdCheckResult` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPEmailFwdCheckResult` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPEmailFwdCheckResult` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPEmailFwdPingResp` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPEmailFwdCheckResult`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPEmailFwdCheckResult`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.